#include <iostream>
#include <vector>
using namespace std;

extern long long initialize(int N, vector<int> A);
extern long long update_sequence(int p, int v);

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);

	int N, Q;
	cin >> N >> Q;

	vector<int> A(N), B(N);
	for (int i = 0; i < N; i++) {
		cin >> A[i];
	}

	vector<int> Pos(Q), Val(Q);
	for (int i = 0; i < Q; i++) {
		cin >> Pos[i] >> Val[i];
	}

	long long initAns = initialize(N, A);
	cout << initAns << '\n';
	for (int i = 0; i < Q; i++) {
		long long queryAns = update_sequence(Pos[i], Val[i]);
		cout << queryAns << '\n';
	}

    return 0;
}
